Mailinglist Archive: opensuse-buildservice (213 mails)

< Previous Next >
[opensuse-buildservice] osc: svn trunk currently borked for old python revisions
  • From: Martin Mohring <martin.mohring@xxxxxxxxxxxx>
  • Date: Fri, 12 Jun 2009 16:21:57 +0200
  • Message-id: <4A326485.5010204@xxxxxxxxxxxx>
Hi,

it happened again that checkins of osc source code did not take care of
the fact that osc is not only running on python 2.5 or 2.6 based
systems. please be aware that osc currently oldest python versions are
in debian 4.0, SLE 10, RHEL 5.

Error:

+ CFLAGS='-O2 -g'
+ /usr/bin/python setup.py build
Traceback (most recent call last):
File "setup.py", line 7, in ?
import osc.core
File "/usr/src/redhat/BUILD/osc-svn-0.119.7523S/osc/core.py", line 898
finally:
^
SyntaxError: invalid syntax
error: Bad exit status from /var/tmp/rpm-tmp.68761 (%build)

At least Debian 4.0, RHEL 5, SLE 10, CentOS 5 etc. are affected.


Kind regards, Martin

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >